
.card-container {
    position: relative;
    border-radius: 16px;
    background: #FFF;
    display: flex;
    height: 100px;
    width: 100%;
    padding: 10px;
    align-items: center;
    gap: 10px;

    .loading {
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .divider {
        width: 1px;
        height: 65px;
        border: 1px solid #F2F2F2;
    }

    .card-section {
        position: relative;
        flex: 1 0 0;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 10px;
        height: 100%;
        padding: 10px 0;
        cursor: pointer;

        &:hover {
            border-radius: 8px;
            background: #FFF8F4;
        }

        .icon {
            display: flex;
            width: 48px;
            height: 48px;
            padding: 10px;
            justify-content: center;
            align-items: center;
            border-radius: 16px;
            background: #CDE7FF;

            svg {
                path {
                    fill: #1890FF;
                }
            }

            &.teacher {
                background: #D7F4E6;

                svg {
                    path {
                        fill: #64CA99;
                    }
                }
            }
            &.students {
                background: #E7E4FB;

                svg {
                    circle {
                        fill: #7660FE;
                    }
                    path {
                        fill: #7660FE;
                    }
                }
            }
            &.unit-test {
                background: #FFE8D3;

                svg {
                    path {
                        fill: #F79945;
                    }
                }
            }
        }

        .details {
            display: flex;
            flex-direction: column;
            justify-content: space-around;
            align-items: flex-start;
            height: 100%;

            .field-name {
                color: #8E91A0;
                font-size: 14px;
                font-weight: 500;
                line-height: 20px;
            }
            .quantity {
                color: #202226;
                font-size: 20px;
                font-weight: 600;
                line-height: 20px;
                text-transform: uppercase;
            }
            i {
                color: #7660FE;
                font-size: 12px;
                font-style: italic;
                font-weight: 500;
                line-height: 15px;
            }
        }
    }
}